const express = require('express');
const mongoose = require('mongoose');
const Community = require('../DB/NutritionDB')
const route = express.Router();

route.get('/', async(req,res)=>{
    const nutritionDB = await NutritionDB.find()
    res.send(nutritionDB)
});

route.get('/:ownerName', async(req,res)=>{
    const nutritionDB = await NutritionDB.find({owner: req.params.ownerName})
    res.send(nutritionDB)
});

route.get('/:ownerName/:date', async(req,res)=>{
    const nutritionDB = await NutritionDB.find({owner: req.params.ownerName, date: req.params.date})
    res.send(nutritionDB)
});

route.post('/', async(req,res)=>{
    const nutrition = req.body;
    const newNutritionDB = new NutritionDB(nutrition)
    try {
        await newNutritionDB.save()
        res.status(200).json(newNutritionDB)
    } catch (error) {
        res.status(400).json({message: error.message})
    }
});

route.delete('/:MealName', async(req,res)=>{  
    NutritionDB.deleteOne({MealName: req.params.MealName}).then(
        () => {
        res.status(200).json({
            message: 'Deleted!'
        });
        }
    ).catch(
        (error) => {
        res.status(400).json({
            message: error.message
        });
        }
    );
});

module.exports = route;